### Class method

# GObject ObjectClass find_property

#### Declaration

    GParamSpec*
    g_object_class_find_property (
      GObjectClass* oclass,
      const gchar* property_name
    )

#### Description

Looks up the `GParamSpec` for a property of a class.

#### Parameters

`property_name`

  Type: `const gchar*`

  The name of the property to look up.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GParamSpec`

The `GParamSpec` for the property, or `NULL` if the class doesn’t have a property of that name.

The returned data is owned by the class.